#= Makefile for dcpam/src/dynamics
#
# Authors::   Yasuhiro MORIKAWA
# Version::   $Id: Makefile,v 1.8 2015/02/11 11:53:15 yot Exp $
# Tag Name::  $Name:  $
# Copyright:: Copyright (C) GFD Dennou Club, 2008. All rights reserved.
# License::   See COPYRIGHT[link:../../COPYRIGHT]
#
######################################################################
#
#== Settings

DIRDEPTH=../..
INCLUDEFILE = $(DIRDEPTH)/Config.mk
include $(INCLUDEFILE)

OBJS = dynamics_hspl_vas83.o dynamics_physicsonly.o dynamics_1d_utils.o dynamics_twpice_scm_exp.o adv_test.o

TESTS = 
CLEAN_TESTS = $(TESTS:%.sh=%.o) $(TESTS:%.sh=%)

TMPFILES =

RUBYLIB = $(RUBYF90LIB)
RB2F90 = 


# End Settings
######################################################################

######################################################################
#== Rules

all: $(LIBDIR)/$(DCPAMLIB)

include $(DIRDEPTH)/rules.make

clean.all: clean clean.lib

include depend

# dynamics_hspl_vas83_zonal.f90: dynamics_hspl_vas83.F90
# 	$(CPP) -DAXISYMMETRY $? > $@

#=== rb2f90
